Factuur aanmaken
curl --request POST \
--url https://api.clientbox.co/api/1.1/wf/create-invoice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "cust_12345",
"amount": 150.5,
"currency": "EUR",
"items": [
{
"description": "Consultancy uren",
"price": 75.25
}
]
}
'import requests
url = "https://api.clientbox.co/api/1.1/wf/create-invoice"
payload = {
"customer_id": "cust_12345",
"amount": 150.5,
"currency": "EUR",
"items": [
{
"description": "Consultancy uren",
"price": 75.25
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: 'cust_12345',
amount: 150.5,
currency: 'EUR',
items: [{description: 'Consultancy uren', price: 75.25}]
})
};
fetch('https://api.clientbox.co/api/1.1/wf/create-invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice_id": "inv_998877",
"status": "sent",
"download_url": "https://clientbox.co/dl/inv_998877.pdf"
}Invoices
Factuur aanmaken
Genereert een PDF factuur en stuurt deze (optioneel) direct per mail.
POST
/
create-invoice
Factuur aanmaken
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ID van de klant die de factuur krijgt.
Example:
"cust_12345"
Totaalbedrag exclusief BTW.
Example:
150.5
Valuta code (ISO 4217).
Available options:
EUR, USD, GBP Example:
"EUR"
Lijst met factuurregels.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

